# coding: utf8
# Debian Contributors data source data mining tools
#
# Copyright (C) 2013  Enrico Zini <enrico@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from __future__ import print_function
from __future__ import absolute_import
from __future__ import division
from __future__ import unicode_literals
from ..scan import Filesystem

__all__ = ["GitDir"]

class GitDir(object):
    """
    Scan git directories using file attributes to detect contributions
    """
    def __init__(self, ctype, cfg):
        self.ctype = ctype
        self.root = cfg["root"]

    def scan(self, submission):
        scan = Filesystem()
        scan.scan_git_repo(self.root)
        scan.add_to_submission(submission, self.ctype)
